package ru.amse.fedorov.plainsvg.gui.actions.file;

import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;
import java.util.Collections;
import java.util.List;

import javax.swing.Action;
import javax.swing.ImageIcon;
import javax.swing.KeyStroke;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.presentation.elements.ElementPresentation;

public class NewDocumentAction extends AbstractSaveAction {

	private static final long serialVersionUID = 1L;

	public NewDocumentAction(GraphicsComponent component) {
		super(component);

		putValue(Action.NAME, "New");
		putValue(Action.SMALL_ICON, new ImageIcon(ClassLoader
				.getSystemResource("new.gif")));
		putValue(Action.ACCELERATOR_KEY, KeyStroke.getKeyStroke(
				new Integer('N'), InputEvent.CTRL_MASK));
	}

	public void actionPerformed(ActionEvent e) {
		if (proposeSave()) {
			getComponent().getPropertiesDialog().setVisible(true);
			List<ElementPresentation<?>> emptyList = Collections.emptyList();
			if (getComponent().getPropertiesDialog().isOK()) {
				getComponent().reload(emptyList);
			}
		}
	}

}
