package ru.amse.fedorov.plainsvg.gui.actions.file;

import java.awt.event.ActionEvent;
import java.awt.event.ComponentEvent;
import java.awt.event.ComponentListener;
import java.awt.event.InputEvent;

import javax.swing.Action;
import javax.swing.ImageIcon;
import javax.swing.KeyStroke;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;

public class SaveDocumentAction extends AbstractSaveAction implements
		ComponentListener {

	private static final long serialVersionUID = 1L;

	public SaveDocumentAction(GraphicsComponent component) {
		super(component);
		component.addComponentListener(this);
		putValue(Action.NAME, "Save");
		putValue(Action.SMALL_ICON, new ImageIcon(ClassLoader
				.getSystemResource("save.gif")));
		putValue(Action.ACCELERATOR_KEY, KeyStroke.getKeyStroke(
				new Integer('S'), InputEvent.CTRL_MASK));
	}

	public void actionPerformed(ActionEvent e) {
		saveToFile(getComponent().getFile());
	}

	public void componentHidden(ComponentEvent e) {
		setEnabled(false);
	}

	public void componentMoved(ComponentEvent e) {
		// Nothing!
	}

	public void componentResized(ComponentEvent e) {
		// Nothing!
	}

	public void componentShown(ComponentEvent e) {
		setEnabled(true);
	}

}
