package ru.amse.fedorov.plainsvg.gui.actions.move;

import java.awt.event.ActionEvent;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.presentation.elements.ElementPresentation;

public class MoveBottomAction extends MoveAction {

	private static final long serialVersionUID = 1L;

	private static final String BOTTOM = "bottom";

	public MoveBottomAction(GraphicsComponent component) {
		super(component);
	}

	@Override
	protected void perform(ActionEvent e) {
		int k = 0;
		for (int i = getElementList().size(); i > 0; i--) {
			ElementPresentation<?> elem = getElementList().get(i - 1 + k);
			if (getSelectedList().contains(elem)) {
				getElementList().moveBottom(elem);
				k++;
			}
		}
	}

	@Override
	protected String getOperationName() {
		return BOTTOM;
	}

}