package ru.amse.fedorov.plainsvg.gui.actions.move;

import java.awt.event.ActionEvent;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.presentation.elements.ElementPresentation;

public class MoveDownAction extends MoveAction {

	private static final long serialVersionUID = 1L;
	
	private static final String DOWN = "down";

	public MoveDownAction(GraphicsComponent component) {
		super(component);
	}

	@Override
	protected void perform(ActionEvent e) {
		for (int i = 1; i < getElementList().size(); i++) {
			ElementPresentation<?> elem = getElementList().get(i);
			if (getSelectedList().contains(elem)
					&& !getSelectedList().contains(getElementList().get(i - 1))) {
				getElementList().moveDown(elem);
			}
		}
	}

	@Override
	protected String getOperationName() {
		return DOWN;
	}

}
