package ru.amse.fedorov.plainsvg.gui.actions.move;

import java.awt.event.ActionEvent;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.presentation.elements.ElementPresentation;

public class MoveUpAction extends MoveAction {

	private static final long serialVersionUID = 1L;

	private static final String UP = "up";

	public MoveUpAction(GraphicsComponent component) {
		super(component);
	}

	@Override
	protected void perform(ActionEvent e) {
		for (int i = getElementList().size() - 1; i > 0; i--) {
			ElementPresentation<?> elem = getElementList().get(i - 1);
			if (getSelectedList().contains(elem)
					&& !getSelectedList().contains(getElementList().get(i))) {
				getElementList().moveUp(elem);
			}
		}
	}

	@Override
	protected String getOperationName() {
		return UP;
	}

}
