package ru.amse.fedorov.plainsvg.model.elements;

import java.awt.Color;
import java.awt.geom.Point2D;
import java.util.ArrayList;
import java.util.List;

public class SVGPolygon extends SVGShape {

	private final List<Point2D> pointList = new ArrayList<Point2D>();

	public SVGPolygon(List<Point2D> list, Color fill, Color stroke,
			double strokeWidth) {
		super(fill, stroke, strokeWidth);
		pointList.addAll(list);
	}

	public SVGPolygon(List<Point2D> list) {
		super();
		pointList.addAll(list);
	}

	public SVGPolygon(double x, double y) {
		super();
		pointList.add(new Point2D.Double(x, y));
	}

	/**
	 * @return the pointList
	 */
	public List<Point2D> getPointList() {
		return pointList;
	}

	@Override
	public Point2D getCenter() {
		double x = 0;
		double y = 0;
		for (Point2D point : getPointList()) {
			x += point.getX();
			y += point.getY();
		}
		double size = getPointList().size();
		return new Point2D.Double(x / size, y / size);
	}

	public void setCorner(int n, Point2D p) {
		getPointList().get(n).setLocation(p);
		fireElementChanged();
	}
}
