package ru.amse.fedorov.plainsvg.model.elements;

import java.awt.Color;

public abstract class SVGShape extends SVGStroked {

	/*
	 * The color to use for the interior of the shape.
	 */
	private Color fill;

	public SVGShape(Color fill, Color stroke, double strokeWidth) {
		super(stroke, strokeWidth);
		this.fill = fill;
	}

	public SVGShape(Color fill) {
		super();
		this.fill = fill;
	}

	public SVGShape() {
		this(null);
	}

	/**
	 * @return fill color
	 */
	public Color getFill() {
		return fill;
	}

	/**
	 * @param fill
	 *            fill color
	 */
	public void setFill(Color fill) {
		this.fill = fill;
		fireElementChanged();
	}

}
