package ru.amse.fedorov.plainsvg.presentation;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Shape;

public abstract class Presentation {

	/**
	 * @return 2d-shape, wrapped in this element
	 */
	public abstract Shape getShape();
	
	/**
	 * @param g
	 *            Graphics2d to paint
	 * @param scale
	 *            component's scale
	 */
	public abstract void paint(Graphics2D g, double scale);
	
	public static String colorToString(Color color) {
		if (color == null) {
			return "none";
		}
		StringBuffer buffer = new StringBuffer();
		buffer.append(Integer.toHexString(color.getRGB() & 0xFFFFFF));
		while (buffer.length() < 6) {
			buffer.insert(0, '0');
		}
		buffer.insert(0, '#');
		return buffer.toString();
	}

}
