package ru.amse.fedorov.plainsvg.presentation.factories;

import org.w3c.dom.Element;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.model.elements.SVGLine;
import ru.amse.fedorov.plainsvg.presentation.elements.LinePresentation;

public class LineFactory extends StrokedFactory<LinePresentation> {

	@Override
	public LinePresentation createElement(Element element,
			GraphicsComponent component) {
		double x1 = Double.parseDouble(element.getAttribute("x1"));
		double y1 = Double.parseDouble(element.getAttribute("y1"));
		double x2 = Double.parseDouble(element.getAttribute("x2"));
		double y2 = Double.parseDouble(element.getAttribute("y2"));

		SVGLine line = new SVGLine(x1, y1, x2, y2);

		setParameters(line, element, component);
		return new LinePresentation(line);
	}

}
