package ru.amse.fedorov.plainsvg.presentation.factories;

import java.awt.geom.Point2D;
import java.util.ArrayList;
import java.util.List;

import org.w3c.dom.Element;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.model.elements.SVGPolygon;
import ru.amse.fedorov.plainsvg.presentation.elements.PolygonPresentation;

public class PolygonFactory extends ShapeFactory<PolygonPresentation> {

	@Override
	public PolygonPresentation createElement(Element element,
			GraphicsComponent component) {

		String allPoints = element.getAttribute("points");
		String[] pointsWithEmpty = allPoints.split(" |\n|,");
		int k = 0;
		for (int i = 0; i < pointsWithEmpty.length; i++) {
			if (pointsWithEmpty[i].isEmpty()) {
				k++;
			}
		}
		String[] points = new String[pointsWithEmpty.length - k];
		k = 0;
		for (int i = 0; i < pointsWithEmpty.length; i++) {
			if (!pointsWithEmpty[i].isEmpty()) {
				points[k] = pointsWithEmpty[i];
				k++;
			}
		}

		int n = points.length / 2;
		List<Point2D> list = new ArrayList<Point2D>(n);
		for (int i = 0; i < n; i++) {
			double x = Double.parseDouble(points[2 * i]);
			double y = Double.parseDouble(points[2 * i + 1]);
			list.add(new Point2D.Double(x, y));
		}
		SVGPolygon polygon = new SVGPolygon(list);
		setParameters(polygon, element, component);
		return new PolygonPresentation(polygon, component);
	}

}
