package ru.amse.fedorov.plainsvg.presentation.factories;

import org.w3c.dom.Element;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.model.elements.SVGRectangle;
import ru.amse.fedorov.plainsvg.presentation.elements.RectanglePresentation;

public class RectangleFactory extends ShapeFactory<RectanglePresentation> {

	@Override
	public RectanglePresentation createElement(Element element,
			GraphicsComponent component) {
		double x = Double.parseDouble(element.getAttribute("x"));
		double y = Double.parseDouble(element.getAttribute("y"));
		double width = Double.parseDouble(element.getAttribute("width"));
		double height = Double.parseDouble(element.getAttribute("height"));

		SVGRectangle rect = new SVGRectangle(x, y, width, height);

		setParameters(rect, element, component);
		return new RectanglePresentation(rect, component);
	}

}
