package ru.amse.fedorov.plainsvg.presentation.markers.shape;

import java.awt.Color;
import java.awt.Cursor;
import java.awt.geom.Point2D;

import ru.amse.fedorov.plainsvg.model.elements.SVGRectangularShape;
import ru.amse.fedorov.plainsvg.presentation.elements.RectangularShapePresentation;
import ru.amse.fedorov.plainsvg.presentation.markers.Marker;

public abstract class RectangularMarker<E extends RectangularShapePresentation<?>> extends
		Marker<E> {

	private final SVGRectangularShape shape;

	private final E presentation;

	public RectangularMarker(E pres) {
		super(pres);
		presentation = pres;
		shape = pres.getModelElement();
	}

	public RectangularMarker(E pres, Color color, Cursor cursor) {
		super(pres, color, cursor);
		presentation = pres;
		shape = pres.getModelElement();
	}

	public SVGRectangularShape getSvgShape() {
		return shape;
	}

	@Override
	protected final Point2D getPoint() {
		return getUntransformedPoint();
	}

	protected abstract Point2D getUntransformedPoint();

	public SVGRectangularShape getElement() {
		return presentation.getModelElement();
	}
}
