package ru.amse.fedorov.plainsvg.tools;

import java.awt.geom.Point2D;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.model.elements.SVGLine;
import ru.amse.fedorov.plainsvg.presentation.elements.LinePresentation;

public class CreateLineTool extends CreateDiagonaledTool<SVGLine, LinePresentation> {

	/*
	 * Mediator for created line.
	 */
	private LinePresentation linePresentation;

	/*
	 * Created svg-rectangle.
	 */
	private SVGLine svgLine;

	/**
	 * Creates instance of tool "Create line".
	 * 
	 * @param component
	 *            graphics component to draw the line
	 */
	public CreateLineTool(GraphicsComponent component) {
		super(component);
	}

	@Override
	protected void createElement(Point2D point) {
		svgLine = new SVGLine(getPointWherePressed());
		linePresentation = new LinePresentation(svgLine);
	}

	@Override
	protected LinePresentation getPresentation() {
		return linePresentation;
	}

	@Override
	protected SVGLine getElement() {
		return svgLine;
	}

	@Override
	protected boolean isElementSingular() {
		return (Math.abs(svgLine.getPoint1().getX()
				- svgLine.getPoint2().getX()) < EPS)
				&& (Math.abs(svgLine.getPoint1().getY()
						- svgLine.getPoint2().getY()) < EPS);
	}
}
